Bug 1785749

Summary: Build of sox for EPEL 8
Product: [Fedora] Fedora EPEL Reporter: Rubicon <i9bakp+za1mn14knqs>
Component: soxAssignee: Jiri Kucera <jkucera>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: epel8CC: felix, hhorak, hobbes1069, jkucera, jmoskovc
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: sox-14.4.2.0-29.el8 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-04 03:37:40 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rubicon 2019-12-20 20:48:35 UTC
Hello!

I would like to ask a build of the "sox" package for EPEL 8:

Would you mind requesting the branches and build it?

This package is especially important for telephony and VoIP solutions.

Please, let me know if I can be of any help.

Thanks in advance!

Regards,
RC.

Comment 1 Richard Shaw 2020-01-07 16:52:15 UTC
Did the build ever get done?

Comment 2 Fedora Update System 2020-01-30 19:14:53 UTC
FEDORA-EPEL-2020-6da31c26cf has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6da31c26cf

Comment 3 Fedora Update System 2020-01-31 02:05:10 UTC
sox-14.4.2.0-29.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6da31c26cf

Comment 4 Fedora Update System 2020-02-15 00:16:02 UTC
sox-14.4.2.0-29.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Rubicon 2020-02-19 12:34:25 UTC
Hello.

Thanks for that. I have verified that sox package is now available in EPEL 8, properly installs on CentOS 8 and executes successfully.

Would it be possible to do the same for EPEL 7 + CentOS 7 ?

Regards.

Comment 6 Jiri Kucera 2020-02-27 11:01:40 UTC
Hello,

sox is included in RHEL 7 and thus it cannot be in EPEL 7 simultaneously. If you need the most recent version for CentOS 7, I can build it and provide it via Fedora COPR.

Comment 7 Rubicon 2020-03-04 03:37:40 UTC
Hi Jiri.

Thanks for your feedback.

Given your explanation about sox in CentOS 7, I think the current state and version works perfectly for me, then providing it via Fedora COPR is not really needed.

Closing this.

Best regards.